Skip to content

Reversals feed

GET
/api/app/service-provider/payment-reversals
curl --request GET \
--url https://test.unipay.co.zw/api/app/service-provider/payment-reversals \
--header 'Authorization: Bearer <token>'
afterId
string format: uuid

OK

Media typeapplication/json
Array<object>
object
id
string format: uuid
paymentId
string format: uuid
rrn
string
nullable
billNo
string
nullable
uniqueNo
string
nullable
reversedAt
string format: date-time
category
string
nullable
reason
string
nullable
Examplegenerated
[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"rrn": "example",
"billNo": "example",
"uniqueNo": "example",
"reversedAt": "2026-04-15T12:00:00Z",
"category": "example",
"reason": "example"
}
]

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions